> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getflick.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Beneficiary EUR

> Inititate an Update-Beneficiary eur



## OpenAPI

````yaml /openapi/payouts.json post /merchant/update-beneficiary-eu
openapi: 3.0.2
info:
  title: Flick Payouts API
  description: This is a sample API Document for Flick services
  termsOfService: http://getflick.app/terms-conditions
  contact:
    email: kingsley@getflick.app
  license:
    name: FLICK
    url: http://www.getflick.app
  version: 1.0.17
servers:
  - url: https://flickopenapi.co
    description: For linking your banks to Flick
security:
  - bearerAuth: []
tags:
  - name: Pay Out
    description: Inititating and Verifing of Transfer
    externalDocs:
      description: Find out more
      url: http://www.getflick.app
externalDocs:
  description: Find out more about Flick
  url: https://www.linkedin.com/company/getflick/
paths:
  /merchant/update-beneficiary-eu:
    post:
      tags:
        - ''
      summary: Update Beneficiary EUR
      description: Inititate an Update-Beneficiary eur
      operationId: ' Updating A Beneficiary eur'
      requestBody:
        description: Update beneficiary
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateBeneficiary'
        required: true
      responses:
        '200':
          description: Successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UpdateBeneficiaryResponse'
        '400':
          description: Wrong Input
        '403':
          description: Unauthroized Access
        '405':
          description: Invalid input
        '500':
          description: Internal Server Error
      security:
        - bearerAuth: []
components:
  schemas:
    UpdateBeneficiary:
      required:
        - beneficiary_id
      type: object
      properties:
        iban:
          type: string
          example: 044444PPE4044
        beneficiary_id:
          type: string
          example: f940wjri
        account_no:
          type: string
          example: 482ode920
        routing:
          type: string
          example: https://bucket.com
        bank_code:
          type: string
          example: '05342'
        countrycode:
          type: string
          example: BE
        recipient_kyc:
          type: object
          properties:
            dob:
              type: string
              example: '2020-01-28'
            gender:
              type: string
              example: Male
            marital_status:
              type: string
              example: Married
        recipient_name:
          type: string
          example: Kingsley
        recipient_firstname:
          type: string
          example: Kingsley
        recipient_lastname:
          type: string
          example: Kingsley
        phone_no:
          type: string
          example: '+2415906938'
        email:
          type: string
          example: flick@getflick.com
        beneficiary_name:
          type: string
          example: Kingsley
        is_domiciliary:
          type: string
          example: '00011122233'
        is_individual:
          type: string
          example: king
        beneficiary_address_1:
          type: string
          example: 23 Kings Road
        beneficiary_address_2:
          type: string
          example: 3 Kings Road
        beneficiary_city:
          type: string
          example: MartLand
        beneficiary_state:
          type: string
          example: United
        beneficiary_country:
          type: string
          example: united kingdom
        beneficiary_postal_code:
          type: string
          example: 43postal
        bank_name:
          type: string
          example: wise
        bank_address_1:
          type: string
          example: 3 Kings Road
        bank_address_2:
          type: string
          example: 2B Road Front Brussels, Belgium
        bank_city:
          type: string
          example: ' Brussels'
        bank_state:
          type: string
          example: ' Brussels'
        bank_country:
          type: string
          example: belgium
        bank_postal_code:
          type: string
          example: 43postal
        swift_code:
          type: string
          example: EB1XXRRWQ
        invoice_url:
          type: string
          example: https://bucket.com
        transfer_type:
          type: string
          example: sepa
    UpdateBeneficiaryResponse:
      type: object
      properties:
        message:
          type: string
          example: Beneficiary updated successfully
        status:
          type: integer
          example: '200'
        data:
          type: object
          properties:
            beneficiary_id:
              type: string
              example: ldodjjfni
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Your live or test secret key, prefixed `sk-`. Send as `Authorization:
        Bearer sk-...`.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.